Bug 223749 - Installing os by hard drive method failed
Installing os by hard drive method failed
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: 228777 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-01-22 00:16 EST by Zhang Yanmin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-13 11:54:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zhang Yanmin 2007-01-22 00:16:18 EST
Description of problem:
I built up new DVD image from the latest development tree and installed
os on my ia64 box by hard drive method. The installation failed.

Version-Release number of selected component (if applicable):

How reproducible:
Reproduce everytime when installing it.

Steps to Reproduce:
1.Rebuilup dvd image from the latest development tree;
2.Copy the image to anb ext3 partition of the ia64 machine;
3.Install os on the machine by choosing Hard drive method;

Actual results:
A window is poped up to say:
Failed to read directory /tmp/hdimage/root/work: No such file or
Device /dev/sdb2 doesn't appear to contain Fedora Core for ia64 CDROM images.

Expected results:
The installation could go on.

Additional info:
Comment 1 Zhang Yanmin 2007-01-22 00:26:38 EST
I checked the log and found the mount failed. Just after I chose hard drive
method, a window could show all partitions. I could choose a partition and input
directory. It looks like partition mount failed.
Comment 2 Jeremy Katz 2007-01-29 14:42:45 EST
How did you build the images?  Does the stamp from the stage2 match that of the
kernel/initrd used for booting?  
Comment 3 Zhang Yanmin 2007-01-29 20:25:10 EST
I built with script buildos written by Prarit. The stamp does match with each other.

I think it might be the same problem like #223750.
Comment 4 Zhang Yanmin 2007-01-30 00:21:33 EST
I put the image on an ext3 partition. anaconda doesn't insert ext3 module before
trying to mount the partition.
Comment 5 Thomas Canniot 2007-02-03 07:47:20 EST
I have the same problem on FFC7T1.
Comment 6 Chris Lumens 2007-02-13 11:54:56 EST
Yes you're correct - it's because the ext3 module is not getting loaded early
enough.  For now you can either use an ext2 or vfat partition instead.  This
should be fixed for test 2.
Comment 7 Thomas Canniot 2007-02-14 09:13:55 EST
Actually, it is not possible through anaconda to create / format / install
fedora on a ext2 partition. And I can't imagine doing so on a vfat file system.
Is there a regression ?
Comment 8 Chris Lumens 2007-02-14 10:19:41 EST
You can make an ext2 or vfat partition to store the ISO images on, and then test
1 anaconda will be able to find them.  You should be able to create any kind of
filesystems you like in anaconda for installation since the ext3 module will be
loaded by then.  It's just a question of what the images are stored on in the
very beginning.
Comment 9 Chris Lumens 2007-02-15 09:46:31 EST
*** Bug 228777 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.